<template>
    <div class="content__leftAnalitika">
        <div class="add-news">
            <div class="add__news--top">
                <post-form :post="post" @submit="save" v-if="post"/>
            </div>
        </div>
    </div>
</template>

<script>
import PostForm from "../components/posts/PostForm";
import laravelValidationErrorParse from "../mixins/laravelValidationErrorParse";
import {mapGetters} from "vuex";

export default {
		name: "PostEdit",
        mixins: [laravelValidationErrorParse],
        props: {
            id: {
                required: true,
                type: String|Number
            }
        },
        data(){
		    return {
		        post: undefined
            }
        },
        computed: {
            ...mapGetters([
                'axios'
            ]),
        },
        methods: {
            load(){
                this.axios
                    .get(`posts/${this.id}`)
                    .then(resp => resp.data)
                    .then(post => this.post = post);
            },
            save(formData){
                this.axios
                    .post(`posts/${this.id}`, formData)
                    .then(resp => resp.data)
                    .then(data => {
                        if('success' === data.status){
                            this.$swal(this.$t('ui.success'));
                        }else{
                            this.$swal(this.$t('ui.error'), data.message, 'error')
                        }
                    })
                    .catch((error) => {
                        this.displayErrorsSwal(error);
                    });
            }
        },
        mounted() {
		    this.load();
        },
        components: {
            PostForm
        }
	}
</script>

<style scoped>

</style>
